Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.filter
Class RelativeTimeFilter

    java.lang.Object
      org.ka2ddo.yaac.filter.Filter
          org.ka2ddo.yaac.filter.RelativeTimeFilter

All Implemented Interfaces:
  java.lang.Cloneable, IrrelevantToPlaybackFilter

    public class RelativeTimeFilter

extends Filter
implements java.lang.Cloneable, IrrelevantToPlaybackFilter

This filter selects information based on relative time point boundary. Only data timestamped before or after the threshold will pass (as specified).

Field Summary

Fields inherited from class org.ka2ddo.yaac.filter.Filter
`RESULT_NEUTRAL, RESULT_PASS, RESULT_REJECT, RESULT_WEAK_PASS, RESULT_WEAK_REJECT`

Constructor Summary
`RelativeTimeFilter(long relativeOffset)` Create a TimeFilter with the specified cutoff time, and whether the pass condition should be before or after the time.

Method Summary
`int` | `acceptAX25Frame(AX25Frame frame)` Indicate whether the specified message should be displayed or used to determine if a station should be displayed (if recursively called from acceptStation()).
`int` | `acceptMessage(AX25Message msg)` Indicate whether the specified message should be displayed or used to determine if a station should be displayed (if recursively called from acceptStation()).
`int` | `acceptStation(StationState ss)` Indicate whether the specified station should be displayed.
`void` | `addFilterChangeListener(FilterChangeListener l)` Register a listener for changes of this Filter.
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`protected void` | `fireFilterChange()`
`java.lang.String` | `getFilterHelpTagName()` Report a tag name used to look up JavaHelp for a filter editor.
`java.lang.String` | `getFilterTypeTagName()` Report a tag name used to look up the labelling for an editor panel for this editor instance in a ResourceBundle of translated names.
`java.lang.String` | `getFilterUIName()` Get the class name of a dynamically loadable class for the the GUI for this filter.
`long` | `getRelativeOffsetMsec()`
`boolean` | `isFilterPlaybacks()` Indicate whether packets from log file playbacks should be filtered or not.
`boolean` | `isHardReject()`
`void` | `removeFilterChangeListener(FilterChangeListener l)` Deregisters a listener.
`void` | `setFilterPlaybacks(boolean filterPlaybacks)` Specify whether packets from log file playbacks should be filtered or not.
`void` | `setHardReject(boolean hardReject)`
`void` | `setRelativeOffsetMsec(long relativeOffsetMsec)`
`void` | `setToPassall()` Reset the filter to a configuration that would pass the maximum amount of messages, packets, and stations.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeTimeFilter

    public RelativeTimeFilter(long relativeOffset)

  Create a TimeFilter with the specified cutoff time, and whether the pass condition should be before or after the time.

  Parameters:
    `relativeOffset` - long delta time in Java standard milliseconds

Method Detail

### getFilterUIName

    public java.lang.String getFilterUIName()

  Get the class name of a dynamically loadable class for the the GUI for this filter. The name is allowed to have a wildcard '*' in it where a GUI type ("gui" for standard Java or "android" for Android) can be substituted.

  Specified by:
    `getFilterUIName` in class `Filter`
  Returns:
    String name of GUI class for this filter

### isFilterPlaybacks

    public boolean isFilterPlaybacks()

  Indicate whether packets from log file playbacks should be filtered or not.

  Returns:
    boolean true if playback messages (no source) will be filtered

### setFilterPlaybacks

    public void setFilterPlaybacks(boolean filterPlaybacks)

  Specify whether packets from log file playbacks should be filtered or not.

  Parameters:
    `filterPlaybacks` - boolean true if this filter should apply to playback messages

### getRelativeOffsetMsec

    public long getRelativeOffsetMsec()

### setRelativeOffsetMsec

    public void setRelativeOffsetMsec(long relativeOffsetMsec)

### isHardReject

    public boolean isHardReject()

### setHardReject

    public void setHardReject(boolean hardReject)

### getFilterTypeTagName

    public java.lang.String getFilterTypeTagName()

  Report a tag name used to look up the labelling for an editor panel for this editor instance in a ResourceBundle of translated names.

  Specified by:
    `getFilterTypeTagName` in class `Filter`
  Returns:
    String to use in looking up form label for this filter's editor

### getFilterHelpTagName

    public java.lang.String getFilterHelpTagName()

  Report a tag name used to look up JavaHelp for a filter editor.

  Specified by:
    `getFilterHelpTagName` in class `Filter`
  Returns:
    null because there is no filter specific help

### acceptAX25Frame

    public int acceptAX25Frame(AX25Frame frame)

  Indicate whether the specified message should be displayed or used to determine if a station should be displayed (if recursively called from acceptStation()).

  Specified by:
    `acceptAX25Frame` in class `Filter`
  Parameters:
    `frame` - the timestamped AX25 frame record to analyze
  Returns:
    RESULT_xxx constant indicating if message information should be displayed

### acceptMessage

    public int acceptMessage(AX25Message msg)

  Indicate whether the specified message should be displayed or used to determine if a station should be displayed (if recursively called from acceptStation()).

  Specified by:
    `acceptMessage` in class `Filter`
  Parameters:
    `msg` - the APRS Message record to analyze
  Returns:
    RESULT_xxx constant indicating if message information should be displayed

### acceptStation

    public int acceptStation(StationState ss)

  Indicate whether the specified station should be displayed. The acceptMessage() and acceptAX25Frame() methods may be called to assist in the determination.

  Specified by:
    `acceptStation` in class `Filter`
  Parameters:
    `ss` - StationState record to analyze
  Returns:
    RESULT_xxx constant indicating if station information should be displayed

### addFilterChangeListener

    public void addFilterChangeListener(FilterChangeListener l)

  Register a listener for changes of this Filter.

  Specified by:
    `addFilterChangeListener` in class `Filter`
  Parameters:
    `l` - FilterChangeListener to register

### removeFilterChangeListener

    public void removeFilterChangeListener(FilterChangeListener l)

  Deregisters a listener. The listener will no longer be informed of changes to this filter.

  Specified by:
    `removeFilterChangeListener` in class `Filter`
  Parameters:
    `l` - FilterChangeListener to deregister

### setToPassall

    public void setToPassall()

  Reset the filter to a configuration that would pass the maximum amount of messages, packets, and stations.

  Specified by:
    `setToPassall` in class `Filter`

### fireFilterChange

    protected void fireFilterChange()

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Creates and returns a copy of this object. The precise meaning of "copy" may depend on the class of the object. The general intent is that, for any object `x`, the expression:

  >      x.clone() != x

  will be true, and that the expression:

  >      x.clone().getClass() == x.getClass()

  will be `true`, but these are not absolute requirements. While it is typically the case that:

  >      x.clone().equals(x)

  will be `true`, this is not an absolute requirement. By convention, the returned object should be obtained by calling `super.clone`. If a class and all of its superclasses (except `Object`) obey this convention, it will be the case that `x.clone().getClass() == x.getClass()`. By convention, the object returned by this method should be independent of this object (which is being cloned). To achieve this independence, it may be necessary to modify one or more fields of the object returned by `super.clone` before returning it. Typically, this means copying any mutable objects that comprise the internal "deep structure" of the object being cloned and replacing the references to these objects with references to the copies. If a class contains only primitive fields or references to immutable objects, then it is usually the case that no fields in the object returned by `super.clone` need to be modified.

  Overrides:
    `clone` in class `Filter`
  Returns:
    a clone of this instance.
  Throws:
    `java.lang.CloneNotSupportedException` - if the object's class does not support the `Cloneable` interface. Subclasses that override the `clone` method can also throw this exception to indicate that an instance cannot be cloned.
  See Also:
    `Cloneable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD